TransitionPanel (gCube Guided Tour Widget 1.6.0-3.3.0 API)
Date: 2014-07-19

org.gcube.portlets.widgets.guidedtour.client

## Class TransitionPanel

- java.lang.Object
- - com.google.gwt.user.client.ui.UIObject
  - - com.google.gwt.user.client.ui.Widget
    - - com.google.gwt.user.client.ui.Composite
      - - com.google.gwt.user.client.ui.ResizeComposite
        - - org.gcube.portlets.widgets.guidedtour.client.TransitionPanel

- All Implemented Interfaces:
    com.google.gwt.event.logical.shared.HasAttachHandlers, com.google.gwt.event.shared.HasHandlers, com.google.gwt.user.client.EventListener, com.google.gwt.user.client.ui.HasVisibility, com.google.gwt.user.client.ui.HasWidgets, com.google.gwt.user.client.ui.IsRenderable, com.google.gwt.user.client.ui.IsWidget, com.google.gwt.user.client.ui.RequiresResize, Iterable<com.google.gwt.user.client.ui.Widget>

      public class TransitionPanel
      extends com.google.gwt.user.client.ui.ResizeComposite
      implements com.google.gwt.user.client.ui.HasWidgets

  Version:
    1.0 Feb 1st 2012
  Author:
    Massimiliano Assante ISTI-CNR

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject

      `com.google.gwt.user.client.ui.UIObject.DebugIdImpl, com.google.gwt.user.client.ui.UIObject.DebugIdImplEnabled`

    - ### Nested classes/interfaces inherited from interface com.google.gwt.user.client.ui.HasWidgets

      `com.google.gwt.user.client.ui.HasWidgets.ForIsWidget`

  - ### Field Summary

    - ### Fields inherited from class com.google.gwt.user.client.ui.UIObject

      `DEBUG_ID_PREFIX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TransitionPanel(String width, String height, boolean isAnimationEnabled)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(com.google.gwt.user.client.ui.IsWidget w)`
    `void` | `add(com.google.gwt.user.client.ui.Widget w)`
    `void` | `clear()`
    `com.google.gwt.user.client.ui.Widget` | `getWidget()`
    `Iterator<com.google.gwt.user.client.ui.Widget>` | `iterator()`
    `boolean` | `remove(com.google.gwt.user.client.ui.Widget w)`
    `void` | `setAnimationEnabled(boolean enable)` Enable or disable the animation feature.
    `void` | `setWidget(com.google.gwt.user.client.ui.IsWidget w)`
    `void` | `setWidget(com.google.gwt.user.client.ui.Widget widget)`

    - ### Methods inherited from class com.google.gwt.user.client.ui.ResizeComposite

      `initWidget, onResize`

    - ### Methods inherited from class com.google.gwt.user.client.ui.Composite

      `claimElement, initializeClaimedElement, isAttached, onAttach, onBrowserEvent, onDetach, render, render, resolvePotentialElement`

    - ### Methods inherited from class com.google.gwt.user.client.ui.Widget

      `addAttachHandler, addBitlessDomHandler, addDomHandler, addHandler, asWidget, asWidgetOrNull, createHandlerManager, delegateEvent, doAttachChildren, doDetachChildren, fireEvent, getHandlerCount, getLayoutData, getParent, isOrWasAttached, onLoad, onUnload, removeFromParent, setLayoutData, sinkEvents`

    - ### Methods inherited from class com.google.gwt.user.client.ui.UIObject

      `addStyleDependentName, addStyleName, ensureDebugId, ensureDebugId, ensureDebugId, getAbsoluteLeft, getAbsoluteTop, getElement, getOffsetHeight, getOffsetWidth, getStyleElement, getStyleName, getStyleName, getStylePrimaryName, getStylePrimaryName, getTitle, isVisible, isVisible, onEnsureDebugId, removeStyleDependentName, removeStyleName, setElement, setElement, setHeight, setPixelSize, setSize, setStyleDependentName, setStyleName, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setStylePrimaryName, setTitle, setVisible, setVisible, setWidth, sinkBitlessEvent, toString, unsinkEvents`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TransitionPanel

          public TransitionPanel(String width,
                         String height,
                         boolean isAnimationEnabled)

      Parameters:
        `width` -
        `height` -
        `isAnimationEnabled` -

  - ### Method Detail

    - #### add

          public void add(com.google.gwt.user.client.ui.IsWidget w)

    - #### add

          public void add(com.google.gwt.user.client.ui.Widget w)

      Specified by:
        `add` in interface `com.google.gwt.user.client.ui.HasWidgets`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `com.google.gwt.user.client.ui.HasWidgets`

    - #### getWidget

          public com.google.gwt.user.client.ui.Widget getWidget()

      Overrides:
        `getWidget` in class `com.google.gwt.user.client.ui.Composite`

    - #### iterator

          public Iterator<com.google.gwt.user.client.ui.Widget> iterator()

      Specified by:
        `iterator` in interface `com.google.gwt.user.client.ui.HasWidgets`
      Specified by:
        `iterator` in interface `Iterable<com.google.gwt.user.client.ui.Widget>`

    - #### remove

          public boolean remove(com.google.gwt.user.client.ui.Widget w)

      Specified by:
        `remove` in interface `com.google.gwt.user.client.ui.HasWidgets`

    - #### setWidget

          public void setWidget(com.google.gwt.user.client.ui.IsWidget w)

    - #### setWidget

          public void setWidget(com.google.gwt.user.client.ui.Widget widget)

      Overrides:
        `setWidget` in class `com.google.gwt.user.client.ui.Composite`

    - #### setAnimationEnabled

          public void setAnimationEnabled(boolean enable)

      Enable or disable the animation feature. When enabled, the popup will use animated transitions when the user clicks next or prev buttons
      Parameters:
        `enable` - true to enable animation, false to disable

Copyright © 2014. All Rights Reserved.